| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLReaderFactory Class Reference

Creates a SAX2 parser (SAX2XMLReader). More...

List of all members.

## Static Public Member Functions

static SAX2XMLReader * | createXMLReader (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager, XMLGrammarPool *const gramPool=0)
static SAX2XMLReader * | createXMLReader (const XMLCh *className)

## Protected Member Functions

| XMLReaderFactory ()
| ~XMLReaderFactory ()

## Detailed Description

Creates a SAX2 parser (SAX2XMLReader).

Note: The parser object returned by XMLReaderFactory is owned by the calling users, and it's the responsiblity of the users to delete that parser object, once they no longer need it.

See also:
  SAX2XMLReader::SAX2XMLReader

## Constructor & Destructor Documentation

XMLReaderFactory::XMLReaderFactory | ( |  | ) | `[protected]`

XMLReaderFactory::~XMLReaderFactory | ( |  | ) | `[protected]`

## Member Function Documentation

SAX2XMLReader * XMLReaderFactory::createXMLReader | ( | const XMLCh * | className | ) | `[static]`

SAX2XMLReader * XMLReaderFactory::createXMLReader | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`,
|  | XMLGrammarPool *const | gramPool = `0`
| ) | `[static]`

The documentation for this class was generated from the following file:

- XMLReaderFactory.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.